package com.hzya.frame.sys.apireflection.entity;

/**
 * @Description api映射参数类
 * @Author xiangerlin
 * @Date 2023/7/28 11:53
 **/
public class ApiReflectionDTO {

    private String ref_id;//sys_api_reflection.id
    private String source_api_id;// sys_api_reflection.source_api_id
    private String target_api_id;//sys_api_reflection.target_api_id
    private String source_api;//sys_app_api.destination_address
    private String target_api;//sys_app_api.destination_address
    private String source_body_in;//sys_app_api.body_in
    private String source_body_out;//sys_app_api.body_out
    private String source_header;//sys_app_api.header_id
    private String source_query;//sys_app_api.query_id
    private String target_body_in;//sys_app_api.body_id
    private String target_body_out;//sys_app_api.body_out
    private String target_header;//sys_app_api.header_id
    private String target_query;//sys_app_api.query_id
    private String source_method;//sys_app_api.requst_method
    private String target_method;//sys_app_api.requst_method
    private String need_login;//是否需要登陆
    private String authentication_port;//登陆接口id
    private String source_timeout;//源接口超时时间
    private String target_timeout;//目标接口超时时间

    private String source_expand_param;//源接口扩展参数
    public String getRef_id() {
        return ref_id;
    }

    public void setRef_id(String ref_id) {
        this.ref_id = ref_id;
    }

    public String getSource_api_id() {
        return source_api_id;
    }

    public void setSource_api_id(String source_api_id) {
        this.source_api_id = source_api_id;
    }

    public String getTarget_api_id() {
        return target_api_id;
    }

    public void setTarget_api_id(String target_api_id) {
        this.target_api_id = target_api_id;
    }


    public String getSource_header() {
        return source_header;
    }

    public void setSource_header(String source_header) {
        this.source_header = source_header;
    }

    public String getSource_query() {
        return source_query;
    }

    public void setSource_query(String source_query) {
        this.source_query = source_query;
    }


    public String getTarget_header() {
        return target_header;
    }

    public void setTarget_header(String target_header) {
        this.target_header = target_header;
    }

    public String getTarget_query() {
        return target_query;
    }

    public void setTarget_query(String target_query) {
        this.target_query = target_query;
    }

    public String getSource_method() {
        return source_method;
    }

    public void setSource_method(String source_method) {
        this.source_method = source_method;
    }

    public String getTarget_method() {
        return target_method;
    }

    public void setTarget_method(String target_method) {
        this.target_method = target_method;
    }

    public String getSource_api() {
        return source_api;
    }

    public void setSource_api(String source_api) {
        this.source_api = source_api;
    }

    public String getTarget_api() {
        return target_api;
    }

    public void setTarget_api(String target_api) {
        this.target_api = target_api;
    }

    public String getNeed_login() {
        return need_login;
    }

    public void setNeed_login(String need_login) {
        this.need_login = need_login;
    }

    public String getAuthentication_port() {
        return authentication_port;
    }

    public void setAuthentication_port(String authentication_port) {
        this.authentication_port = authentication_port;
    }

    public String getSource_body_out() {
        return source_body_out;
    }

    public void setSource_body_out(String source_body_out) {
        this.source_body_out = source_body_out;
    }

    public String getSource_body_in() {
        return source_body_in;
    }

    public void setSource_body_in(String source_body_in) {
        this.source_body_in = source_body_in;
    }

    public String getTarget_body_in() {
        return target_body_in;
    }

    public void setTarget_body_in(String target_body_in) {
        this.target_body_in = target_body_in;
    }

    public String getTarget_body_out() {
        return target_body_out;
    }

    public void setTarget_body_out(String target_body_out) {
        this.target_body_out = target_body_out;
    }

    public String getSource_timeout() {
        return source_timeout;
    }

    public void setSource_timeout(String source_timeout) {
        this.source_timeout = source_timeout;
    }

    public String getTarget_timeout() {
        return target_timeout;
    }

    public void setTarget_timeout(String target_timeout) {
        this.target_timeout = target_timeout;
    }

    public String getSource_expand_param() {
        return source_expand_param;
    }

    public void setSource_expand_param(String source_expand_param) {
        this.source_expand_param = source_expand_param;
    }
}
